Bug 894035 - engine: storage live migration is reported as failed in engine although action was successful
engine: storage live migration is reported as failed in engine although actio...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.2.0
Assigned To: Daniel Erez
Dafna Ron
storage
: Regression
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-10 10:05 EST by Dafna Ron
Modified: 2016-02-10 15:26 EST (History)
10 users (show)

See Also:
Fixed In Version: sf5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (978.96 KB, application/x-gzip)
2013-01-10 10:05 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11202 None None None Never

  None (edit)
Description Dafna Ron 2013-01-10 10:05:11 EST
Created attachment 676387 [details]
logs

Description of problem:

when I migrate a live disk engine reports action as failed but the disk is reported as moved in vdsm
the disk is also reported to be moved to the second domain by the UI (so obviously the db is updated with the target domain as well) 

the only thing we can see in the logs is: 
2013-01-10 16:49:48,067 ERROR [org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand] (pool-3-thread-50) [11b8bd23] Ending command with failure: org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand

Thread-6242::DEBUG::2013-01-10 16:49:47,581::taskManager::96::TaskManager::(getTaskStatus) Return. Response: {'code': 0, 'message': '1 jobs completed successfully', 'taskState': 'finished', 'taskResult': 'success', 'taskID': '9ec406a8-0
bfe-465f-94e6-3bd19165f04c'}


Version-Release number of selected component (if applicable):

sf3
vdsm-4.10.2-3.0.el6ev.x86_64
libvirt-0.10.2-14.el6.x86_64

How reproducible:

100%

Steps to Reproduce:
1. move a disk
2.
3.
  
Actual results:

although task was successful the task is reported as failed 

Expected results:

task should not be reported as failed

Additional info:logs and dbdump
Comment 2 Daniel Erez 2013-01-13 17:33:31 EST
According to the vdsm log, an 'Input/output' has been occoured right before LiveMigrateDiskCommand ended with failure (2013-01-10 16:56:52 at vdsm log).
Can you please check if it's 100% reproducible?
Comment 3 Dafna Ron 2013-01-14 07:40:52 EST
tested several times and it's 100% reproducible
Comment 4 Allon Mureinik 2013-01-20 04:55:25 EST
devel-ack delayed until we have a suggested solution, in order to assess the risk.

Daniel, do we have such a thing?
Comment 6 Daniel Erez 2013-01-20 06:22:48 EST
patch sent:
http://gerrit.ovirt.org/#/c/11202/
Change-Id: I37926ba2ae87c334e6f2d17b65b91290fe2c3d39
Comment 9 Dafna Ron 2013-02-05 05:20:10 EST
verified on sf5
Comment 10 Itamar Heim 2013-06-11 05:02:43 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:02:44 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 05:02:44 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:03:36 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:32:44 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.